Bug 19216 - error messages from fdomain module create tty DoS
Summary: error messages from fdomain module create tty DoS
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 02:21 UTC by jeff_grady
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 21:55:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jeff_grady 2000-10-17 02:21:04 UTC
When I'm running X + gnome + sawfish and I try to switch to a virtual
console via ctrl-alt-f2 etc., I get:

scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 1
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 1
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 1
...
scsi: <fdomain> REQUEST SENSE Key = 2, Code = 3a, Qualifier = 1

printed over and over such that the console is not usable.  This appears to
happen only when I'm in X and switching to a virtual console, and this has
only happened with RedHat 7.0.
I can reproduce this bug at will and it does it on every virtual console.

scsi portion of my dmesg:

Oct 15 19:25:03 blarg kernel: scsi0: <fdomain> No BIOS; using scsi id 7
Oct 15 19:25:03 blarg kernel: scsi0: <fdomain> TMC-36C70 (PCI bus) chip at
0xa800 irq 10
Oct 15 19:25:03 blarg kernel: scsi0 : Future Domain 16-bit SCSI Driver
Version 5.50
Oct 15 19:25:03 blarg kernel: scsi : 1 host.
Oct 15 19:25:03 blarg kernel:   Vendor: MATSHITA  Model: CD-R   CW-7502   
Rev: 4.17
Oct 15 19:25:03 blarg kernel:   Type:   CD-ROM                            
ANSI SCSI revision: 02
Oct 15 19:25:03 blarg kernel: Detected scsi CD-ROM sr0 at scsi0, channel 0,
id 1, lun 0
Oct 15 19:25:03 blarg kernel: sr0: scsi3-mmc drive: 8x/8x writer xa/form2
cdda tray

This bug is also doing a good job of filling up my /var/log/messages with
this error:

Oct 15 19:40:02 blarg kernel: scsi: <fdomain> REQUEST SENSE Key = 2, Code =
3a, Qualifier = 1
Oct 15 19:40:34 blarg last message repeated 320 times
...
Oct 15 19:48:48 blarg last message repeated 620 times

The *only* way I have been able to stop it from printing this out so far is
to put a CD in the CD-R that is attached to the fdomain card.

Comment 1 Arjan van de Ven 2001-01-15 17:32:57 UTC
Could you try removing the magicdev package ("rpm -e magicdev") ?
Some cdrom drives go bananas with it if there is no CD in the drive.

Comment 2 Alan Cox 2002-12-15 02:38:59 UTC
Confirmed present in 8.0 too

Arjan - you need to kill the DEBUG define in fdomain.c


Comment 3 Alan Cox 2003-06-05 21:55:56 UTC
Fixed now



Note You need to log in before you can comment on or make changes to this bug.